This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 801624 - [audit-viewer] Traceback 'ValueError: year=1899 is before 1900;...' produces for 'Date Filter' of Audit Viewer.
[audit-viewer] Traceback 'ValueError: year=1899 is before 1900;...' produces ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: audit-viewer (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 21:40 EST by Lijun Li
Modified: 2013-08-01 01:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:04:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
[audit-viewer] Traceback 'ValueError: year=1899 is before 1900;...' produces for 'Date Filter' of Audit Viewer (196.62 KB, image/png)
2012-03-08 21:42 EST, Lijun Li
no flags Details
backtrace file (1.06 KB, text/plain)
2012-03-08 21:49 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-03-08 21:40:28 EST
Description of problem:
Traceback 'ValueError: year=1899 is before 1900;...' produces for 'Date Filter' of Audit Viewer.

Version-Release number of selected component (if applicable):
audit-viewer-0.7.3-1.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install Fedora-17-Nightly-20120305.08-x86_64-Live-desktop.iso from 
http://alt.fedoraproject.org/pub/alt/nightly-composes/

2. Run command audit-viewer
* If not installed, As root run "yum install audit-viewer" 

3. Double-click 'Filter:None' field to pops-up the 'List 1 Properties' window,
and click 'Data Filter' tab, check the 'Limit to events not earlier than:'
checkbox, change the date to the end of month(ex.03/31/2012) via clicking the
calendar next to 'Specific time' field, and click 'OK'.

4. Double-click 'Filter:' field to pops-up the 'List 1 Properties' window
again, and click 'Data Filter' tab.

5. Click 'OK' on the 'List 1 Properties' window.
  
Actual results:
Traceback 'ValueError: year=1899 is before 1900;...' produces for 'Date Filter' of Audit Viewer.


Expected results:
Should have no traceback.

Additional info:
It's reproduced on en_US.
Comment 1 Lijun Li 2012-03-08 21:42:18 EST
Created attachment 568799 [details]
[audit-viewer] Traceback 'ValueError: year=1899 is before 1900;...' produces for 'Date Filter' of Audit Viewer
Comment 2 Lijun Li 2012-03-08 21:49:54 EST
Created attachment 568802 [details]
backtrace file
Comment 3 Lijun Li 2012-03-09 01:49:14 EST
Same issue reproduced on 'Report * Properties ' window.
Comment 4 Miloslav Trmač 2012-09-21 14:24:35 EDT
Thanks for your report.  Can you still reproduce this?  This seems to work for me
with

> audit-viewer-0.7.3-1.fc17.x86_64
> gtk2-2.24.11-1.fc17.x86_64
> pygtk2-2.24.0-4.fc17.x86_64

I strongly suspect this is caused by bug #859524, but having a reproducer would allow us to make sure.
Comment 5 Fedora End Of Life 2013-07-03 21:00:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:04:52 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.